Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.rn.commons.business.v1
Class InformationType

    java.lang.Object
      be.fgov.ehealth.rn.commons.business.v1.InformationType

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2024-09-05T10:53:32+02:00",
               comments="JAXB RI v2.3.6")
    public class InformationType

extends Object
implements Serializable

Java class for InformationType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="InformationType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="FieldName">
               <simpleType>
                 <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                   <maxLength value="64"/>
                 </restriction>
               </simpleType>
             </element>
             <element name="FieldValue" minOccurs="0">
               <simpleType>
                 <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                   <maxLength value="256"/>
                 </restriction>
               </simpleType>
             </element>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`InformationType()`

Method Summary
`String` | `getFieldName()` Gets the value of the fieldName property.
`String` | `getFieldValue()` Gets the value of the fieldValue property.
`void` | `setFieldName(String value)` Sets the value of the fieldName property.
`void` | `setFieldValue(String value)` Sets the value of the fieldValue property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### InformationType

    public InformationType()

Method Detail

### getFieldName

    public String getFieldName()

  Gets the value of the fieldName property.

  Returns:
    possible object is `String`

### setFieldName

    public void setFieldName(String value)

  Sets the value of the fieldName property.

  Parameters:
    `value` - allowed object is `String`

### getFieldValue

    public String getFieldValue()

  Gets the value of the fieldValue property.

  Returns:
    possible object is `String`

### setFieldValue

    public void setFieldValue(String value)

  Sets the value of the fieldValue property.

  Parameters:
    `value` - allowed object is `String`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSOCCUPATIONALTHERAPIST 3.27.0 API
Copyright © {inceptionYear}-2024 eHealth. All Rights Reserved.